%define name	soma
%define version 2.4
%define release %mkrel 1
%define major	0
%define libname	%mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Basical soma suite
Group:		System/Servers
License:	GPL
URL:		http://www.somasuite.org/
Source0:	http://www.somasuite.org/src/%{name}-%{version}.tar.gz
BuildRequires:	termcap-devel
BuildRequires:	readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  freetype-devel
BuildRequires:  openssl-devel
BuildRequires:  SDL-devel
BuildRequires:  perl
BuildRequires:  tetex-texi2html
BuildRequires:  libxml2-devel

%description
Basical soma suite. It contains somad, the broadcast sheduling demon,
somaclient, via tcp/ip administration utilities, and somacheck to check
configuration files.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the libraries needed to run programs dynamically
linked with %{name} libraries.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d %{name} 0}

%description -n	%{develname}
This package contains the static development libraries and headers needed
to compile applications linked with %{name} libraries.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README README.module
%{_bindir}/*
%{_mandir}/*/*
%dir %{_sysconfdir}/somad
%config(noreplace) %{_sysconfdir}/somad/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/%{name}



%changelog
* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.4-1mdv2008.1
+ Revision: 136010
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - BR libxml2-devel
    - kill re-definition of %%buildroot on Pixel's request
    - import soma


* Fri May 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdk
- new version

* Wed Oct 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.10-2mdk
- Fix BuildRequires
- %%mkrel

* Sat Jan 22 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.10-1mdk
- New release 1.10
- libification

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.7-2mdk
- rebuild for new readline

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.7-1mdk
- New release 1.7

* Sun Jul  4 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 1.3-1mdk
- New release 1.3

* Sun May 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2-2mdk
- buildrequires

* Sun May 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2-1mdk
- first mdk package
